llvm.org GIT mirror llvm / 7e83697
Regenerate per request of Gabor Greif (r78628) git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@78661 91177308-0d34-0410-b5e6-96231b3b80d8 Shantonu Sen 11 years ago
2 changed file(s) with 89 addition(s) and 64 deletion(s). Raw diff Collapse all Expand all
831831 ENABLE_OPTIMIZED
832832 ENABLE_PROFILING
833833 DISABLE_ASSERTIONS
834 LLVM_COMPACT_SENTINELS
834835 ENABLE_EXPENSIVE_CHECKS
835836 EXPENSIVE_CHECKS
836837 DEBUG_RUNTIME
24052406 xcore-*) llvm_cv_target_arch="XCore" ;;
24062407 msp430-*) llvm_cv_target_arch="MSP430" ;;
24072408 s390x-*) llvm_cv_target_arch="SystemZ" ;;
2409 bfin-*) llvm_cv_target_arch="Blackfin" ;;
24082410 *) llvm_cv_target_arch="Unknown" ;;
24092411 esac
24102412 fi
47844786
47854787 fi
47864788
4789 if test ${ENABLE_OPTIMIZED},${DISABLE_ASSERTIONS} = "ENABLE_OPTIMIZED=1,DISABLE_ASSERTIONS=1" ; then
4790 LLVM_COMPACT_SENTINELS=1
4791
4792 else
4793 LLVM_COMPACT_SENTINELS=0
4794
4795 fi
4796
4797
4798 cat >>confdefs.h <<_ACEOF
4799 #define LLVM_COMPACT_SENTINELS $LLVM_COMPACT_SENTINELS
4800 _ACEOF
4801
4802
4803
47874804 # Check whether --enable-expensive-checks was given.
47884805 if test "${enable_expensive_checks+set}" = set; then
47894806 enableval=$enable_expensive_checks;
48314848
48324849 else
48334850 case "$llvm_cv_target_arch" in
4834 x86) TARGET_HAS_JIT=1
4851 x86) TARGET_HAS_JIT=1
48354852 ;;
4836 Sparc) TARGET_HAS_JIT=0
4853 Sparc) TARGET_HAS_JIT=0
48374854 ;;
4838 PowerPC) TARGET_HAS_JIT=1
4855 PowerPC) TARGET_HAS_JIT=1
48394856 ;;
4840 x86_64) TARGET_HAS_JIT=1
4857 x86_64) TARGET_HAS_JIT=1
48414858 ;;
4842 Alpha) TARGET_HAS_JIT=1
4859 Alpha) TARGET_HAS_JIT=1
48434860 ;;
4844 ARM) TARGET_HAS_JIT=0
4861 ARM) TARGET_HAS_JIT=0
48454862 ;;
4846 Mips) TARGET_HAS_JIT=0
4863 Mips) TARGET_HAS_JIT=0
48474864 ;;
4848 PIC16) TARGET_HAS_JIT=0
4865 PIC16) TARGET_HAS_JIT=0
48494866 ;;
4850 XCore) TARGET_HAS_JIT=0
4867 XCore) TARGET_HAS_JIT=0
48514868 ;;
4852 MSP430) TARGET_HAS_JIT=0
4869 MSP430) TARGET_HAS_JIT=0
48534870 ;;
4854 SystemZ) TARGET_HAS_JIT=0
4871 SystemZ) TARGET_HAS_JIT=0
48554872 ;;
4856 *) TARGET_HAS_JIT=0
4873 Blackfin) TARGET_HAS_JIT=0
4874 ;;
4875 *) TARGET_HAS_JIT=0
48574876 ;;
48584877 esac
48594878 fi
49374956 all) TARGETS_TO_BUILD="X86 Sparc PowerPC Alpha ARM Mips CellSPU PIC16 XCore MSP430 SystemZ Blackfin CBackend MSIL CppBackend" ;;
49384957 host-only)
49394958 case "$llvm_cv_target_arch" in
4940 x86) TARGETS_TO_BUILD="X86" ;;
4941 x86_64) TARGETS_TO_BUILD="X86" ;;
4942 Sparc) TARGETS_TO_BUILD="Sparc" ;;
4943 PowerPC) TARGETS_TO_BUILD="PowerPC" ;;
4944 Alpha) TARGETS_TO_BUILD="Alpha" ;;
4945 ARM) TARGETS_TO_BUILD="ARM" ;;
4946 Mips) TARGETS_TO_BUILD="Mips" ;;
4959 x86) TARGETS_TO_BUILD="X86" ;;
4960 x86_64) TARGETS_TO_BUILD="X86" ;;
4961 Sparc) TARGETS_TO_BUILD="Sparc" ;;
4962 PowerPC) TARGETS_TO_BUILD="PowerPC" ;;
4963 Alpha) TARGETS_TO_BUILD="Alpha" ;;
4964 ARM) TARGETS_TO_BUILD="ARM" ;;
4965 Mips) TARGETS_TO_BUILD="Mips" ;;
49474966 CellSPU|SPU) TARGETS_TO_BUILD="CellSPU" ;;
4948 PIC16) TARGETS_TO_BUILD="PIC16" ;;
4949 XCore) TARGETS_TO_BUILD="XCore" ;;
4950 MSP430) TARGETS_TO_BUILD="MSP430" ;;
4951 SystemZ) TARGETS_TO_BUILD="SystemZ" ;;
4967 PIC16) TARGETS_TO_BUILD="PIC16" ;;
4968 XCore) TARGETS_TO_BUILD="XCore" ;;
4969 MSP430) TARGETS_TO_BUILD="MSP430" ;;
4970 SystemZ) TARGETS_TO_BUILD="SystemZ" ;;
4971 Blackfin) TARGETS_TO_BUILD="Blackfin" ;;
49524972 *) { { echo "$as_me:$LINENO: error: Can not set target to build" >&5
49534973 echo "$as_me: error: Can not set target to build" >&2;}
49544974 { (exit 1); exit 1; }; } ;;
49564976 ;;
49574977 *)for a_target in `echo $enableval|sed -e 's/,/ /g' ` ; do
49584978 case "$a_target" in
4959 x86) TARGETS_TO_BUILD="X86 $TARGETS_TO_BUILD" ;;
4960 x86_64) TARGETS_TO_BUILD="X86 $TARGETS_TO_BUILD" ;;
4961 sparc) TARGETS_TO_BUILD="Sparc $TARGETS_TO_BUILD" ;;
4962 powerpc) TARGETS_TO_BUILD="PowerPC $TARGETS_TO_BUILD" ;;
4963 alpha) TARGETS_TO_BUILD="Alpha $TARGETS_TO_BUILD" ;;
4964 arm) TARGETS_TO_BUILD="ARM $TARGETS_TO_BUILD" ;;
4965 mips) TARGETS_TO_BUILD="Mips $TARGETS_TO_BUILD" ;;
4966 spu) TARGETS_TO_BUILD="CellSPU $TARGETS_TO_BUILD" ;;
4967 pic16) TARGETS_TO_BUILD="PIC16 $TARGETS_TO_BUILD" ;;
4968 xcore) TARGETS_TO_BUILD="XCore $TARGETS_TO_BUILD" ;;
4969 msp430) TARGETS_TO_BUILD="MSP430 $TARGETS_TO_BUILD" ;;
4970 systemz) TARGETS_TO_BUILD="SystemZ $TARGETS_TO_BUILD" ;;
4971 cbe) TARGETS_TO_BUILD="CBackend $TARGETS_TO_BUILD" ;;
4972 msil) TARGETS_TO_BUILD="MSIL $TARGETS_TO_BUILD" ;;
4973 cpp) TARGETS_TO_BUILD="CppBackend $TARGETS_TO_BUILD" ;;
4979 x86) TARGETS_TO_BUILD="X86 $TARGETS_TO_BUILD" ;;
4980 x86_64) TARGETS_TO_BUILD="X86 $TARGETS_TO_BUILD" ;;
4981 sparc) TARGETS_TO_BUILD="Sparc $TARGETS_TO_BUILD" ;;
4982 powerpc) TARGETS_TO_BUILD="PowerPC $TARGETS_TO_BUILD" ;;
4983 alpha) TARGETS_TO_BUILD="Alpha $TARGETS_TO_BUILD" ;;
4984 arm) TARGETS_TO_BUILD="ARM $TARGETS_TO_BUILD" ;;
4985 mips) TARGETS_TO_BUILD="Mips $TARGETS_TO_BUILD" ;;
4986 spu) TARGETS_TO_BUILD="CellSPU $TARGETS_TO_BUILD" ;;
4987 pic16) TARGETS_TO_BUILD="PIC16 $TARGETS_TO_BUILD" ;;
4988 xcore) TARGETS_TO_BUILD="XCore $TARGETS_TO_BUILD" ;;
4989 msp430) TARGETS_TO_BUILD="MSP430 $TARGETS_TO_BUILD" ;;
4990 systemz) TARGETS_TO_BUILD="SystemZ $TARGETS_TO_BUILD" ;;
4991 blackfin) TARGETS_TO_BUILD="Blackfin $TARGETS_TO_BUILD" ;;
4992 cbe) TARGETS_TO_BUILD="CBackend $TARGETS_TO_BUILD" ;;
4993 msil) TARGETS_TO_BUILD="MSIL $TARGETS_TO_BUILD" ;;
4994 cpp) TARGETS_TO_BUILD="CppBackend $TARGETS_TO_BUILD" ;;
49744995 *) { { echo "$as_me:$LINENO: error: Unrecognized target $a_target" >&5
49754996 echo "$as_me: error: Unrecognized target $a_target" >&2;}
49764997 { (exit 1); exit 1; }; } ;;
1090710928 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1090810929 lt_status=$lt_dlunknown
1090910930 cat > conftest.$ac_ext <
10910 #line 10916 "configure"
10931 #line 10932 "configure"
1091110932 #include "confdefs.h"
1091210933
1091310934 #if HAVE_DLFCN_H
1305113072 ;;
1305213073 *-*-irix6*)
1305313074 # Find out which ABI we are using.
13054 echo '#line 13060 "configure"' > conftest.$ac_ext
13075 echo '#line 13076 "configure"' > conftest.$ac_ext
1305513076 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1305613077 (eval $ac_compile) 2>&5
1305713078 ac_status=$?
1476914790 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1477014791 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1477114792 -e 's:$: $lt_compiler_flag:'`
14772 (eval echo "\"\$as_me:14778: $lt_compile\"" >&5)
14793 (eval echo "\"\$as_me:14794: $lt_compile\"" >&5)
1477314794 (eval "$lt_compile" 2>conftest.err)
1477414795 ac_status=$?
1477514796 cat conftest.err >&5
14776 echo "$as_me:14782: \$? = $ac_status" >&5
14797 echo "$as_me:14798: \$? = $ac_status" >&5
1477714798 if (exit $ac_status) && test -s "$ac_outfile"; then
1477814799 # The compiler can only warn and ignore the option if not recognized
1477914800 # So say no if there are warnings other than the usual output.
1503715058 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1503815059 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1503915060 -e 's:$: $lt_compiler_flag:'`
15040 (eval echo "\"\$as_me:15046: $lt_compile\"" >&5)
15061 (eval echo "\"\$as_me:15062: $lt_compile\"" >&5)
1504115062 (eval "$lt_compile" 2>conftest.err)
1504215063 ac_status=$?
1504315064 cat conftest.err >&5
15044 echo "$as_me:15050: \$? = $ac_status" >&5
15065 echo "$as_me:15066: \$? = $ac_status" >&5
1504515066 if (exit $ac_status) && test -s "$ac_outfile"; then
1504615067 # The compiler can only warn and ignore the option if not recognized
1504715068 # So say no if there are warnings other than the usual output.
1514115162 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1514215163 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1514315164 -e 's:$: $lt_compiler_flag:'`
15144 (eval echo "\"\$as_me:15150: $lt_compile\"" >&5)
15165 (eval echo "\"\$as_me:15166: $lt_compile\"" >&5)
1514515166 (eval "$lt_compile" 2>out/conftest.err)
1514615167 ac_status=$?
1514715168 cat out/conftest.err >&5
15148 echo "$as_me:15154: \$? = $ac_status" >&5
15169 echo "$as_me:15170: \$? = $ac_status" >&5
1514915170 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1515015171 then
1515115172 # The compiler can only warn and ignore the option if not recognized
1759317614 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1759417615 lt_status=$lt_dlunknown
1759517616 cat > conftest.$ac_ext <
17596 #line 17602 "configure"
17617 #line 17618 "configure"
1759717618 #include "confdefs.h"
1759817619
1759917620 #if HAVE_DLFCN_H
1769317714 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1769417715 lt_status=$lt_dlunknown
1769517716 cat > conftest.$ac_ext <
17696 #line 17702 "configure"
17717 #line 17718 "configure"
1769717718 #include "confdefs.h"
1769817719
1769917720 #if HAVE_DLFCN_H
2006120082 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2006220083 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2006320084 -e 's:$: $lt_compiler_flag:'`
20064 (eval echo "\"\$as_me:20070: $lt_compile\"" >&5)
20085 (eval echo "\"\$as_me:20086: $lt_compile\"" >&5)
2006520086 (eval "$lt_compile" 2>conftest.err)
2006620087 ac_status=$?
2006720088 cat conftest.err >&5
20068 echo "$as_me:20074: \$? = $ac_status" >&5
20089 echo "$as_me:20090: \$? = $ac_status" >&5
2006920090 if (exit $ac_status) && test -s "$ac_outfile"; then
2007020091 # The compiler can only warn and ignore the option if not recognized
2007120092 # So say no if there are warnings other than the usual output.
2016520186 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2016620187 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2016720188 -e 's:$: $lt_compiler_flag:'`
20168 (eval echo "\"\$as_me:20174: $lt_compile\"" >&5)
20189 (eval echo "\"\$as_me:20190: $lt_compile\"" >&5)
2016920190 (eval "$lt_compile" 2>out/conftest.err)
2017020191 ac_status=$?
2017120192 cat out/conftest.err >&5
20172 echo "$as_me:20178: \$? = $ac_status" >&5
20193 echo "$as_me:20194: \$? = $ac_status" >&5
2017320194 if (exit $ac_status) && test -s out/conftest2.$ac_objext
2017420195 then
2017520196 # The compiler can only warn and ignore the option if not recognized
2173521756 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2173621757 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2173721758 -e 's:$: $lt_compiler_flag:'`
21738 (eval echo "\"\$as_me:21744: $lt_compile\"" >&5)
21759 (eval echo "\"\$as_me:21760: $lt_compile\"" >&5)
2173921760 (eval "$lt_compile" 2>conftest.err)
2174021761 ac_status=$?
2174121762 cat conftest.err >&5
21742 echo "$as_me:21748: \$? = $ac_status" >&5
21763 echo "$as_me:21764: \$? = $ac_status" >&5
2174321764 if (exit $ac_status) && test -s "$ac_outfile"; then
2174421765 # The compiler can only warn and ignore the option if not recognized
2174521766 # So say no if there are warnings other than the usual output.
2183921860 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2184021861 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2184121862 -e 's:$: $lt_compiler_flag:'`
21842 (eval echo "\"\$as_me:21848: $lt_compile\"" >&5)
21863 (eval echo "\"\$as_me:21864: $lt_compile\"" >&5)
2184321864 (eval "$lt_compile" 2>out/conftest.err)
2184421865 ac_status=$?
2184521866 cat out/conftest.err >&5
21846 echo "$as_me:21852: \$? = $ac_status" >&5
21867 echo "$as_me:21868: \$? = $ac_status" >&5
2184721868 if (exit $ac_status) && test -s out/conftest2.$ac_objext
2184821869 then
2184921870 # The compiler can only warn and ignore the option if not recognized
2407424095 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2407524096 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2407624097 -e 's:$: $lt_compiler_flag:'`
24077 (eval echo "\"\$as_me:24083: $lt_compile\"" >&5)
24098 (eval echo "\"\$as_me:24099: $lt_compile\"" >&5)
2407824099 (eval "$lt_compile" 2>conftest.err)
2407924100 ac_status=$?
2408024101 cat conftest.err >&5
24081 echo "$as_me:24087: \$? = $ac_status" >&5
24102 echo "$as_me:24103: \$? = $ac_status" >&5
2408224103 if (exit $ac_status) && test -s "$ac_outfile"; then
2408324104 # The compiler can only warn and ignore the option if not recognized
2408424105 # So say no if there are warnings other than the usual output.
2434224363 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2434324364 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2434424365 -e 's:$: $lt_compiler_flag:'`
24345 (eval echo "\"\$as_me:24351: $lt_compile\"" >&5)
24366 (eval echo "\"\$as_me:24367: $lt_compile\"" >&5)
2434624367 (eval "$lt_compile" 2>conftest.err)
2434724368 ac_status=$?
2434824369 cat conftest.err >&5
24349 echo "$as_me:24355: \$? = $ac_status" >&5
24370 echo "$as_me:24371: \$? = $ac_status" >&5
2435024371 if (exit $ac_status) && test -s "$ac_outfile"; then
2435124372 # The compiler can only warn and ignore the option if not recognized
2435224373 # So say no if there are warnings other than the usual output.
2444624467 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2444724468 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2444824469 -e 's:$: $lt_compiler_flag:'`
24449 (eval echo "\"\$as_me:24455: $lt_compile\"" >&5)
24470 (eval echo "\"\$as_me:24471: $lt_compile\"" >&5)
2445024471 (eval "$lt_compile" 2>out/conftest.err)
2445124472 ac_status=$?
2445224473 cat out/conftest.err >&5
24453 echo "$as_me:24459: \$? = $ac_status" >&5
24474 echo "$as_me:24475: \$? = $ac_status" >&5
2445424475 if (exit $ac_status) && test -s out/conftest2.$ac_objext
2445524476 then
2445624477 # The compiler can only warn and ignore the option if not recognized
3602136042 ENABLE_OPTIMIZED!$ENABLE_OPTIMIZED$ac_delim
3602236043 ENABLE_PROFILING!$ENABLE_PROFILING$ac_delim
3602336044 DISABLE_ASSERTIONS!$DISABLE_ASSERTIONS$ac_delim
36045 LLVM_COMPACT_SENTINELS!$LLVM_COMPACT_SENTINELS$ac_delim
3602436046 ENABLE_EXPENSIVE_CHECKS!$ENABLE_EXPENSIVE_CHECKS$ac_delim
3602536047 EXPENSIVE_CHECKS!$EXPENSIVE_CHECKS$ac_delim
3602636048 DEBUG_RUNTIME!$DEBUG_RUNTIME$ac_delim
3604136063 CXX!$CXX$ac_delim
3604236064 CXXFLAGS!$CXXFLAGS$ac_delim
3604336065 ac_ct_CXX!$ac_ct_CXX$ac_delim
36044 NM!$NM$ac_delim
3604536066 _ACEOF
3604636067
3604736068 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
3608336104 ac_delim='%!_!# '
3608436105 for ac_last_try in false false false false false :; do
3608536106 cat >conf$$subs.sed <<_ACEOF
36107 NM!$NM$ac_delim
3608636108 ifGNUmake!$ifGNUmake$ac_delim
3608736109 LN_S!$LN_S$ac_delim
3608836110 CMP!$CMP$ac_delim
3617436196 LTLIBOBJS!$LTLIBOBJS$ac_delim
3617536197 _ACEOF
3617636198
36177 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 89; then
36199 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 90; then
3617836200 break
3617936201 elif $ac_last_try; then
3618036202 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
459459
460460 /* Installation directory for binary executables */
461461 #undef LLVM_BINDIR
462
463 /* Define to 1 for ilist sentinel compaction */
464 #undef LLVM_COMPACT_SENTINELS
462465
463466 /* Time at which LLVM was configured */
464467 #undef LLVM_CONFIGTIME